package com.njyunzhi.ubpa.common;

import com.njyunzhi.ubpa.entity.SysUser;
import com.njyunzhi.ubpa.service.ISysUserService;
import com.njyunzhi.ubpa.shiro.utils.JWTUtil;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    ISysUserService iSysUserService;

    public String getLoginId() {
        Subject subject = SecurityUtils.getSubject();
        String token = subject.getPrincipal().toString();

//        List<Object> list = Arrays.asList(subject.getPrincipals().fromRealm("managerRealm").toArray());
//        String token = list.get(0).toString();

        return JWTUtil.getLoginId(token);
    }

    public SysUser currentUser() throws Exception {
        String loginId = getLoginId();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        SysUser user = iSysUserService.getById(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return user;
    }
}
