package com.njyunzhi.ubpa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 复工申请
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaResumeWorkForm对象", description="复工申请")
public class TaResumeWorkForm implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申请id")
    @TableId(value = "form_id", type = IdType.UUID)
    private String formId;

    @ApiModelProperty(value = "申请人")
    private String userId;

    @ApiModelProperty(value = "申请人姓名")
    private String userName;

    @ApiModelProperty(value = "抗原截图")
    private String antigenImage;

    @ApiModelProperty(value = "抗原是否正常")
    private Integer antigenIsNormal;

    @ApiModelProperty(value = "核酸截图")
    private String nucleicImage;

    @ApiModelProperty(value = "核酸是否正常")
    private Integer nucleicIsNormal;

    @ApiModelProperty(value = "所属企业")
    private String orgId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
