package com.njyunzhi.ubpa.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.alibaba.excel.converters.url.UrlImageConverter;
import com.njyunzhi.ubpa.common.excelConverter.ResultStatusConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.net.URL;
import java.time.LocalDateTime;

@Data
@ContentRowHeight(15)
@HeadRowHeight(25)
@ColumnWidth(25)
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="复工申请导出", description="复工申请导出")
public class FormExport {

    @ExcelProperty(value = "企业名称", index = 1)
    @ApiModelProperty(value = "所属企业")
    private String orgName;

    @ExcelProperty(value = "申请人名称", index = 2)
    @ApiModelProperty(value = "申请人姓名")
    private String userName;

    @ExcelIgnore
    private String antigenImage;

    @ExcelProperty(value = "抗原截图", index = 3, converter = UrlImageConverter.class)
    @ApiModelProperty(value = "抗原截图")
    private URL antigenImageURL;

    @ExcelProperty(value = "抗原是否正常", index = 4, converter = ResultStatusConverter.class)
    @ApiModelProperty(value = "抗原是否正常")
    private Integer antigenIsNormal;

    @ExcelIgnore
    private String nucleicImage;

    @ExcelProperty(value = "核酸截图", index = 5, converter = UrlImageConverter.class)
    @ApiModelProperty(value = "核酸截图")
    private URL nucleicImageURL;

    @ExcelProperty(value = "核酸是否正常", index = 6, converter = ResultStatusConverter.class)
    @ApiModelProperty(value = "核酸是否正常")
    private Integer nucleicIsNormal;

    @ExcelProperty(value = "申请时间", index = 7)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;
}
